﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default"
    EnableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
        }
        table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border-color: #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" OnRowEditing="OnRowEditing">
        <Columns>
            <asp:TemplateField HeaderText="Name" ItemStyle-Width="150">
                <ItemTemplate>
                    <%# Eval("Name") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:TextBox ID="txtName" runat="server" Text='<%# Eval("Name") %>' />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Country" ItemStyle-Width="150">
                <ItemTemplate>
                    <%# Eval("Country") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:DropDownList ID="ddlCountries" runat="server">
                        <asp:ListItem Text="Please select" Value="" />
                        <asp:ListItem Text="United States" Value="United States" />
                        <asp:ListItem Text="India" Value="India" />
                        <asp:ListItem Text="France" Value="France" />
                        <asp:ListItem Text="Russia" Value="Russia" />
                    </asp:DropDownList>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:LinkButton Text="Edit" runat="server" CommandName="Edit" />
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:LinkButton Text="Update" runat="server" OnClick="OnUpdate" OnClientClick="return Validate(this)" />
                    <asp:LinkButton Text="Cancel" runat="server" OnClick="OnCancel" />
                </EditItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <script type="text/javascript">
        function Validate(lnkUpdate) {
            var txtName, ddlCountries;

            //Find the GridView Row using the LinkButton reference.
            var row = lnkUpdate.parentNode.parentNode;

            //Fetch all controls in GridView Row.
            var controls = row.getElementsByTagName("*");

            //Loop through the fetched controls.
            for (var i = 0; i < controls.length; i++) {

                //Find the TextBox control.
                if (controls[i].id.indexOf("txtName") != -1) {
                    txtName = controls[i];
                }

                //Find the DropDownList control.
                if (controls[i].id.indexOf("ddlCountries") != -1) {
                    ddlCountries = controls[i];
                }
            }
            var message = "";

            //Validate the TextBox control.
            if (txtName.value.replace(/\s/g, '') == "") {
                message += "Please enter Name.\n";
            }

            //Validate the DropDownList control.
            if (ddlCountries.value == "") {
                message += "Please select Country";
            }

            //Display error message.
            if (message != "") {
                alert(message);
                return false;
            }
            return true;
        }
    </script>
    </form>
</body>
</html>
